Summary:            Perl extension for generating XML
Name:               perl-XML-Generator
Version:            1.13
Release:    1%{?dist}
License:            GPL-1.0-or-later OR Artistic-1.0-Perl
URL:                https://metacpan.org/release/XML-Generator
Source0:            https://cpan.metacpan.org/authors/id/T/TI/TIMLEGGE/XML-Generator-%{version}.tar.gz
BuildArch:          noarch
BuildRequires:      coreutils
BuildRequires:      make
BuildRequires:      perl-generators
BuildRequires:      perl-interpreter
BuildRequires:      perl(Config)
BuildRequires:      perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:      perl(strict)
BuildRequires:      perl(warnings)
BuildRequires:      perl(base)
BuildRequires:      perl(Carp)
BuildRequires:      perl(constant)
BuildRequires:      perl(overload)
BuildRequires:      perl(vars)
BuildRequires:      perl(XML::DOM)
BuildRequires:      perl(Test)
BuildRequires:      perl(Test::More)
BuildRequires:      perl(utf8)
BuildRequires:      perl(Tie::IxHash)
Requires:           perl(warnings)

%description
Perl module for generating XML documents

%package tests
Summary:        Tests for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       perl-Test-Harness
Requires:       perl(Tie::IxHash)

%description tests
Tests from %{name}. Execute them
with "%{_libexecdir}/%{name}/test".

%prep
%setup -q -n XML-Generator-%{version}

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a t %{buildroot}%{_libexecdir}/%{name}
rm %{buildroot}%{_libexecdir}/%{name}/t/author-pod-*
cat > %{buildroot}%{_libexecdir}/%{name}/test << 'EOF'
cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
EOF
chmod +x %{buildroot}%{_libexecdir}/%{name}/test

%check
unset AUTHOR_TESTING
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%files tests
%{_libexecdir}/%{name}

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.13-1
- initial build
